<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - lib/fr_geo_gouv_api.dart</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">lib</a> - fr_geo_gouv_api.dart<span style="font-size: 80%;"> (source / <a href="fr_geo_gouv_api.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">25</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntryLo">69.4 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-02-04 11:27:27</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : library fr_geo_gouv_api;</a>
<a name="2"><span class="lineNum">       2 </span>            : </a>
<a name="3"><span class="lineNum">       3 </span>            : import 'dart:convert';</a>
<a name="4"><span class="lineNum">       4 </span>            : import 'package:fr_geo_gouv_api/api_client.dart';</a>
<a name="5"><span class="lineNum">       5 </span>            : import 'package:fr_geo_gouv_api/models/feature_collection.dart';</a>
<a name="6"><span class="lineNum">       6 </span>            : import 'package:http/http.dart';</a>
<a name="7"><span class="lineNum">       7 </span>            : </a>
<a name="8"><span class="lineNum">       8 </span><span class="lineCov">          6 : enum SearchType { housenumber, street, locality, municipality }</span></a>
<a name="9"><span class="lineNum">       9 </span>            : </a>
<a name="10"><span class="lineNum">      10 </span>            : extension on SearchType {</a>
<a name="11"><span class="lineNum">      11 </span><span class="lineCov">          1 :   String toShortString() {</span></a>
<a name="12"><span class="lineNum">      12 </span><span class="lineCov">          3 :     return this.toString().split('.')[1];</span></a>
<a name="13"><span class="lineNum">      13 </span>            :   }</a>
<a name="14"><span class="lineNum">      14 </span>            : }</a>
<a name="15"><span class="lineNum">      15 </span>            : </a>
<a name="16"><span class="lineNum">      16 </span>            : /// Search addresse.</a>
<a name="17"><span class="lineNum">      17 </span>            : class Search {</a>
<a name="18"><span class="lineNum">      18 </span>            :   ApiClient apiClient = ApiClient();</a>
<a name="19"><span class="lineNum">      19 </span><span class="lineCov">          1 :   Future&lt;Response&gt; searchWithHttpInfo({String q, SearchType type, int limit, bool autocomplete}) async {</span></a>
<a name="20"><span class="lineNum">      20 </span>            :     // Object postBody = inlineObject3;</a>
<a name="21"><span class="lineNum">      21 </span>            : </a>
<a name="22"><span class="lineNum">      22 </span>            :     // verify required params are set</a>
<a name="23"><span class="lineNum">      23 </span>            :     if (q == null) {</a>
<a name="24"><span class="lineNum">      24 </span><span class="lineNoCov">          0 :       throw ApiException(400, &quot;Missing required param: inlineObject3&quot;);</span></a>
<a name="25"><span class="lineNum">      25 </span>            :     }</a>
<a name="26"><span class="lineNum">      26 </span>            : </a>
<a name="27"><span class="lineNum">      27 </span>            :     // create path and map variables</a>
<a name="28"><span class="lineNum">      28 </span><span class="lineCov">          1 :     String path = &quot;/search&quot;.replaceAll(&quot;{format}&quot;, &quot;json&quot;);</span></a>
<a name="29"><span class="lineNum">      29 </span>            : </a>
<a name="30"><span class="lineNum">      30 </span>            :     // query params</a>
<a name="31"><span class="lineNum">      31 </span><span class="lineCov">          1 :     List&lt;QueryParam&gt; queryParams = [];</span></a>
<a name="32"><span class="lineNum">      32 </span><span class="lineCov">          1 :     Map&lt;String, String&gt; headerParams = {};</span></a>
<a name="33"><span class="lineNum">      33 </span><span class="lineCov">          1 :     Map&lt;String, String&gt; formParams = {};</span></a>
<a name="34"><span class="lineNum">      34 </span>            : </a>
<a name="35"><span class="lineNum">      35 </span><span class="lineCov">          2 :     Map&lt;String, dynamic&gt; params = {'q': q, 'type': type.toShortString(), 'limit': limit, 'autocomplete': autocomplete};</span></a>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">          5 :     params.forEach((name, value) =&gt; queryParams.add(QueryParam(name, value.toString())));</span></a>
<a name="37"><span class="lineNum">      37 </span>            : </a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">          1 :     List&lt;String&gt; contentTypes = [&quot;application/json&quot;];</span></a>
<a name="39"><span class="lineNum">      39 </span>            : </a>
<a name="40"><span class="lineNum">      40 </span><span class="lineCov">          2 :     String nullableContentType = contentTypes.isNotEmpty ? contentTypes[0] : null;</span></a>
<a name="41"><span class="lineNum">      41 </span><span class="lineCov">          1 :     List&lt;String&gt; authNames = [&quot;ApiKeyAuth&quot;];</span></a>
<a name="42"><span class="lineNum">      42 </span>            : </a>
<a name="43"><span class="lineNum">      43 </span><span class="lineCov">          1 :     if (nullableContentType != null &amp;&amp; nullableContentType.startsWith(&quot;multipart/form-data&quot;)) {</span></a>
<a name="44"><span class="lineNum">      44 </span>            :       bool hasFields = false;</a>
<a name="45"><span class="lineNum">      45 </span><span class="lineNoCov">          0 :       MultipartRequest mp = MultipartRequest(null, null);</span></a>
<a name="46"><span class="lineNum">      46 </span>            :       // if (hasFields) postBody = mp;</a>
<a name="47"><span class="lineNum">      47 </span>            :     } else {}</a>
<a name="48"><span class="lineNum">      48 </span>            : </a>
<a name="49"><span class="lineNum">      49 </span><span class="lineCov">          3 :     var response = await apiClient.invokeAPI(path, 'GET', queryParams, null, headerParams, formParams, nullableContentType, authNames);</span></a>
<a name="50"><span class="lineNum">      50 </span>            :     return response;</a>
<a name="51"><span class="lineNum">      51 </span>            :   }</a>
<a name="52"><span class="lineNum">      52 </span>            : </a>
<a name="53"><span class="lineNum">      53 </span><span class="lineCov">          1 :   Future&lt;FeatureCollection&gt; search({String q, SearchType type, int limit, bool autocomplete}) async {</span></a>
<a name="54"><span class="lineNum">      54 </span><span class="lineCov">          2 :     Response response = await searchWithHttpInfo(q: q, type: type, limit: limit, autocomplete: autocomplete);</span></a>
<a name="55"><span class="lineNum">      55 </span><span class="lineCov">          2 :     if (response.statusCode &gt;= 400) {</span></a>
<a name="56"><span class="lineNum">      56 </span><span class="lineNoCov">          0 :       throw ApiException(response.statusCode, _decodeBodyBytes(response));</span></a>
<a name="57"><span class="lineNum">      57 </span><span class="lineCov">          1 :     } else if (response.body != null) {</span></a>
<a name="58"><span class="lineNum">      58 </span><span class="lineCov">          2 :       print(response.body);</span></a>
<a name="59"><span class="lineNum">      59 </span><span class="lineCov">          3 :       return apiClient.deserialize(_decodeBodyBytes(response), 'FeatureCollection');</span></a>
<a name="60"><span class="lineNum">      60 </span>            :     } else {</a>
<a name="61"><span class="lineNum">      61 </span>            :       return null;</a>
<a name="62"><span class="lineNum">      62 </span>            :     }</a>
<a name="63"><span class="lineNum">      63 </span>            :   }</a>
<a name="64"><span class="lineNum">      64 </span>            : }</a>
<a name="65"><span class="lineNum">      65 </span>            : </a>
<a name="66"><span class="lineNum">      66 </span><span class="lineCov">          1 : String _decodeBodyBytes(Response response) {</span></a>
<a name="67"><span class="lineNum">      67 </span><span class="lineCov">          2 :   var contentType = response.headers['content-type'];</span></a>
<a name="68"><span class="lineNum">      68 </span><span class="lineCov">          1 :   if (contentType != null &amp;&amp; contentType.contains(&quot;application/json&quot;)) {</span></a>
<a name="69"><span class="lineNum">      69 </span><span class="lineCov">          2 :     return utf8.decode(response.bodyBytes);</span></a>
<a name="70"><span class="lineNum">      70 </span>            :   } else {</a>
<a name="71"><span class="lineNum">      71 </span><span class="lineNoCov">          0 :     return response.body;</span></a>
<a name="72"><span class="lineNum">      72 </span>            :   }</a>
<a name="73"><span class="lineNum">      73 </span>            : }</a>
<a name="74"><span class="lineNum">      74 </span>            : </a>
<a name="75"><span class="lineNum">      75 </span>            : class ApiException implements Exception {</a>
<a name="76"><span class="lineNum">      76 </span>            :   int code = 0;</a>
<a name="77"><span class="lineNum">      77 </span>            :   String message;</a>
<a name="78"><span class="lineNum">      78 </span>            :   Exception innerException;</a>
<a name="79"><span class="lineNum">      79 </span>            :   StackTrace stackTrace;</a>
<a name="80"><span class="lineNum">      80 </span>            : </a>
<a name="81"><span class="lineNum">      81 </span><span class="lineNoCov">          0 :   ApiException(this.code, this.message);</span></a>
<a name="82"><span class="lineNum">      82 </span>            : </a>
<a name="83"><span class="lineNum">      83 </span><span class="lineNoCov">          0 :   ApiException.withInner(this.code, this.message, this.innerException, this.stackTrace);</span></a>
<a name="84"><span class="lineNum">      84 </span>            : </a>
<a name="85"><span class="lineNum">      85 </span><span class="lineNoCov">          0 :   String toString() {</span></a>
<a name="86"><span class="lineNum">      86 </span><span class="lineNoCov">          0 :     if (message == null) return &quot;ApiException&quot;;</span></a>
<a name="87"><span class="lineNum">      87 </span>            : </a>
<a name="88"><span class="lineNum">      88 </span><span class="lineNoCov">          0 :     if (innerException == null) {</span></a>
<a name="89"><span class="lineNum">      89 </span><span class="lineNoCov">          0 :       return &quot;ApiException $code: $message&quot;;</span></a>
<a name="90"><span class="lineNum">      90 </span>            :     }</a>
<a name="91"><span class="lineNum">      91 </span>            : </a>
<a name="92"><span class="lineNum">      92 </span><span class="lineNoCov">          0 :     return &quot;ApiException $code: $message (Inner exception: $innerException)\n\n&quot; + stackTrace.toString();</span></a>
<a name="93"><span class="lineNum">      93 </span>            :   }</a>
<a name="94"><span class="lineNum">      94 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15</a></td></tr>
  </table>
  <br>

</body>
</html>
